## org.eclipse.datatools.modelbase.sql.schema.impl
Class IdentitySpecifierImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.IdentitySpecifierImpl

All Implemented Interfaces:
  IdentitySpecifier, SQLObject

public class IdentitySpecifierImpl
extends SQLObjectImpl
implements IdentitySpecifier

An implementation of the model object 'Identity Specifier'.

The following features are implemented:

- `Generation Type`
- `Start Value`
- `Increment`
- `Minimum`
- `Maximum`
- `Cycle Option`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`GenerateType` `getGenerationType()`
`java.math.BigInteger` `getIncrement()`
`java.math.BigInteger` `getMaximum()`
`java.math.BigInteger` `getMinimum()`
`java.math.BigInteger` `getStartValue()`
`boolean` `isCycleOption()`
`void` `setCycleOption(boolean newCycleOption)`
`void` `setGenerationType(GenerateType newGenerationType)`
`void` `setIncrement(java.math.BigInteger newIncrement)`
`void` `setMaximum(java.math.BigInteger newMaximum)`
`void` `setMinimum(java.math.BigInteger newMinimum)`
`void` `setStartValue(java.math.BigInteger newStartValue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eInverseAdd, eInverseRemove, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getGenerationType

    public GenerateType getGenerationType()

  Specified by:
    `getGenerationType` in interface `IdentitySpecifier`
  Returns:
    the value of the 'Generation Type' attribute.
  See Also:
    `GenerateType`, `IdentitySpecifier.setGenerationType(GenerateType)`, `SQLSchemaPackage.getIdentitySpecifier_GenerationType()`

### setGenerationType

    public void setGenerationType(GenerateType newGenerationType)

  Specified by:
    `setGenerationType` in interface `IdentitySpecifier`
  Parameters:
    `newGenerationType` - the new value of the 'Generation Type' attribute.
  See Also:
    `GenerateType`, `IdentitySpecifier.getGenerationType()`

### getStartValue

    public java.math.BigInteger getStartValue()

  Specified by:
    `getStartValue` in interface `IdentitySpecifier`
  Returns:
    the value of the 'Start Value' attribute.
  See Also:
    `IdentitySpecifier.setStartValue(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_StartValue()`

### setStartValue

    public void setStartValue(java.math.BigInteger newStartValue)

  Specified by:
    `setStartValue` in interface `IdentitySpecifier`
  Parameters:
    `newStartValue` - the new value of the 'Start Value' attribute.
  See Also:
    `IdentitySpecifier.getStartValue()`

### getIncrement

    public java.math.BigInteger getIncrement()

  Specified by:
    `getIncrement` in interface `IdentitySpecifier`
  Returns:
    the value of the 'Increment' attribute.
  See Also:
    `IdentitySpecifier.setIncrement(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_Increment()`

### setIncrement

    public void setIncrement(java.math.BigInteger newIncrement)

  Specified by:
    `setIncrement` in interface `IdentitySpecifier`
  Parameters:
    `newIncrement` - the new value of the 'Increment' attribute.
  See Also:
    `IdentitySpecifier.getIncrement()`

### getMinimum

    public java.math.BigInteger getMinimum()

  Specified by:
    `getMinimum` in interface `IdentitySpecifier`
  Returns:
    the value of the 'Minimum' attribute.
  See Also:
    `IdentitySpecifier.setMinimum(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_Minimum()`

### setMinimum

    public void setMinimum(java.math.BigInteger newMinimum)

  Specified by:
    `setMinimum` in interface `IdentitySpecifier`
  Parameters:
    `newMinimum` - the new value of the 'Minimum' attribute.
  See Also:
    `IdentitySpecifier.getMinimum()`

### getMaximum

    public java.math.BigInteger getMaximum()

  Specified by:
    `getMaximum` in interface `IdentitySpecifier`
  Returns:
    the value of the 'Maximum' attribute.
  See Also:
    `IdentitySpecifier.setMaximum(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_Maximum()`

### setMaximum

    public void setMaximum(java.math.BigInteger newMaximum)

  Specified by:
    `setMaximum` in interface `IdentitySpecifier`
  Parameters:
    `newMaximum` - the new value of the 'Maximum' attribute.
  See Also:
    `IdentitySpecifier.getMaximum()`

### isCycleOption

    public boolean isCycleOption()

  Specified by:
    `isCycleOption` in interface `IdentitySpecifier`
  Returns:
    the value of the 'Cycle Option' attribute.
  See Also:
    `IdentitySpecifier.setCycleOption(boolean)`, `SQLSchemaPackage.getIdentitySpecifier_CycleOption()`

### setCycleOption

    public void setCycleOption(boolean newCycleOption)

  Specified by:
    `setCycleOption` in interface `IdentitySpecifier`
  Parameters:
    `newCycleOption` - the new value of the 'Cycle Option' attribute.
  See Also:
    `IdentitySpecifier.isCycleOption()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.